/* Make clicks pass-through */
#loading-bar,
#loading-bar-spinner {
    display: block;
    position: fixed;
    z-index: 10002;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8); /* Semi-transparent background overlay */
    pointer-events: auto;
}

#loading-bar-spinner {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}


#spinner {
    -webkit-animation: frames 1s infinite linear;
    animation: frames 1s infinite linear;
    background: transparent;
    border: 0.75vw solid #FFF;
    border-radius: 100%;
    border-top-color: #ff5312;
    width: 5vw;
    height: 5vw;
    opacity: .6;
    padding: 0px;
    position: absolute;
    z-index: 999;
}

@media (max-width: 425px) {
    #spinner {
        -webkit-animation: frames 1s infinite linear;
        animation: frames 1s infinite linear;
        background: transparent;
        border: 0.80vw solid #FFF;
        border-radius: 100%;
        border-top-color: #ff5312;
        width: 10vw;
        height: 10vw;
        opacity: .6;
        padding: 0px;
        position: absolute;
        z-index: 999;
    }
}

@keyframes frames {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

#pause {
    display: block;
    background: rgba(0, 0, 0, 0.66) no-repeat 0 0;
    width: 100%;
    height: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 1000;
}

#loading-bar-spinner .spinner-icon {
    width: 100px;
    height: 100px;
    border: 5px solid transparent;
    border-top-color: #29d;
    border-left-color: #29d;
    border-radius: 50%;
    -webkit-animation: frames 1s infinite linear;
}
